import request from '@/utils/request'

// 查询菜单列表
export function listMenu(query) {
  return request({
    url: '/system/menu/list',
    method: 'get',
    params: query
  })
}

// 查询菜单详细
export function getMenu(menuId) {
  return request({
    url: '/system/menu/' + menuId,
    method: 'get'
  })
}

// 查询菜单下拉树结构
export function treeselect() {
  return request({
    url: '/system/menu/treeselect',
    method: 'get'
  })
}

// 根据角色ID查询菜单下拉树结构
export function roleMenuTreeselect(roleId) {
  return request({
    url: '/system/menu/roleMenuTreeselect/' + roleId,
    method: 'get'
  })
}

// 新增菜单
export function addMenu(data) {
  return request({
    url: '/system/menu',
    method: 'post',
    data: data
  })
}

// 修改菜单
export function updateMenu(data) {
  return request({
    url: '/system/menu',
    method: 'put',
    data: data
  })
}

// 删除菜单
export function delMenu(menuId) {
  return request({
    url: '/system/menu/' + menuId,
    method: 'delete'
  })
}

// 查询租户菜单列表
export function tenantMenu(query) {
  return request({
    url: '/tenant/tenant/tenantMenu/list',
    method: 'get',
    params: query
  })
}

export function tenantComMenu(query) {
  return request({
    url: '/tenant/tenant/tenantComMenu/list',
    method: 'get',
    params: query
  })
}

// 查询租户菜单详细
export function getTenantMenu(menuId) {
  return request({
    url: '/tenant/tenant/tenantMenu/' + menuId,
    method: 'get'
  })
}


// 新增菜单
export function addTenantMenu(data) {
  return request({
    url: '/tenant/tenant/addTenantMenu',
    method: 'post',
    data: data
  })
}

// 修改菜单
export function updateTenantMenu(data) {
  return request({
    url: '/tenant/tenant/updateTenantMenu',
    method: 'put',
    data: data
  })
}

// 删除菜单
export function delTenantMenu(menuId) {
  return request({
    url: '/tenant/tenant/delTenantMenu/' + menuId,
    method: 'delete'
  })
}


export function delTenantComMenu(menuId) {
  return request({
    url: '/tenant/tenant/delTenantComMenu/' + menuId,
    method: 'delete'
  })
}

export function addTenantComMenu(data) {
  return request({
    url: '/tenant/tenant/addTenantComMenu',
    method: 'post',
    data: data
  })
}

export function updateTenantComMenu(data) {
  return request({
    url: '/tenant/tenant/updateTenantComMenu',
    method: 'put',
    data: data
  })
}

export function getTenantComMenu(menuId) {
  return request({
    url: '/tenant/tenant/getTenantComMenu/' + menuId,
    method: 'get'
  })
}
